Issue 45437 - symlinks don't work with license files
Summary: symlinks don't work with license files
Status: UNCONFIRMED
Alias: None
Product: Installation
Classification: Application
Component: code (show other issues)
Version: OOo 2.0 Beta
Hardware: PC Linux, all
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-18 17:22 UTC by wburdick
Modified: 2013-02-07 22:33 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description wburdick 2005-03-18 17:22:00 UTC
I'm using gobolinux (http://gobolinux.org), which has a nonstandard file system
layout.  It uses symlinks into common directories that function like 'bin',
'lib', 'etc', etc.  When I made a package for OOo, I had it make symlinks to the
license files.  It seems as if the stat test for the license file is not using
the true name of the file, but rather the symlink in my case, so it failed the
test for mode 0444 (I think).  The license dialog came up blank and would not
proceed past the "scroll down" point, so that I couldn't even start up OOo. 
After I copied the license files to the equivalent location of /usr/share/readme
(instead of using symlinks), it worked.  Thank God for strace!
Comment 1 Olaf Felka 2005-03-18 19:16:07 UTC
OOo is designed for 'standard filesystems'. Working on "nonstandard file system" 
is an enhancement.
Comment 2 wburdick 2005-03-18 20:24:04 UTC
This isn't an issue about nonstandard filesystems.  I support *NIX boxes with
standard filesystems as well and I'd like the option of using symlinks on those
systems too.  Failing to honor symlinks can make OOo difficult to administer on
standard *NIX file systems, since every *NIX distro (UNIX and LINUX) supports
symlinks and people frequently use them to handle moves of installed programs
transparently.  This will suprise people when their administrator moves OOo to a
different partition and it stops working for new users after that.
Comment 3 ace_dent 2008-05-16 00:21:16 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html